Get Payouts

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Lists your payouts. Filter by walletId, and page with limit, start and end.

Request:

FieldTypeDescription
walletIdIntegerOnly payouts from this wallet
limitStringoffset, count, for example 0, 100
startIntegerMilliseconds since epoch
endIntegerMilliseconds since epoch
businessIdIntegerIgnored when you use API keys. See Authentication

Example request

curl --location 'https://api.myvendy.com/payouts?walletId=1' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY"

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
msgStringA description of the status of the request
dataArray[Payout]All wallet payouts and details

Example response

{
    "status": true,
    "code": 200,
    "msg": "Payout",
    "data": [
        {
            "id": 12,
            "uid": 1,
            "businessId": 1,
            "walletId": 1,
            "amount": 100,
            "refid": "84a19c3a-1329-48e1-b575-a41e2a556610",
            "bankId": 15,
            "channel": "bank",
            "currency": null,
            "meta": null,
            "status": "pending",
            "createdAt": "2022-07-18T12:02:49.000Z",
            "updatedAt": "2022-07-18T12:02:49.000Z",
            "deletedAt": null,
            "wallets": {
                "id": 1,
                "ownerid": 1,
                "uid": 1,
                "businessId": 1,
                "balance": 0,
                "lockedBalance": 0,
                "meta": null,
                "pendingInflow": 7961800025.335,
                "pendingWithdrawal": 100,
                "status": "active",
                "type": "balance",
                "currency": "NGN",
                "fee": 0.015,
                "createdAt": "2022-08-18T11:32:31.000Z",
                "updatedAt": "2022-09-08T09:59:11.000Z",
                "deletedAt": null
            },
            "bankaccounts": {
                "id": 15,
                "uid": 1,
                "businessId": 1,
                "defaultBank": false,
                "accountnumber": "0123456789",
                "maskedaccountnumber": "******456789",
                "bankname": "GTBank",
                "beneficiaryname": "ADA OKAFOR",
                "beneficiarycountry": "NGA",
                "type": "bank",
                "email": null,
                "createdAt": "2022-07-18T06:00:49.000Z",
                "updatedAt": "2022-07-18T06:00:49.000Z"
            }
        }
    ]
}
Query Params
string

Required when you call with a dashboard session token. With AccessKey/SecretKey it is ignored: the business comes from the key.

string

Unique identifier for a specific wallet

string

offset, count, for example 0, 100.

integer

Milliseconds since epoch.

integer

Milliseconds since epoch.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json